name: ipp_analysis

channels:
    - conda-forge
    - nodefaults

dependencies:
  - python=3.11
  - ipykernel
  - ipython
  - pip
  # scientific stack (data handling and plotting)
  - cartopy
  - cftime
  - matplotlib
  - nc-time-axis
  - netCDF4
  - numpy
  - pandas
  - pooch
  - regionmask
  - xarray
  # code formatting and testing
  - black
  - flake8
  - isort
  - pre-commit
  - pytest
  - pip:
    # install release and not main to avoid requiring git
    - https://github.com/mathause/filefinder/archive/refs/tags/v0.2.0.tar.gz
    - https://github.com/mathause/mplotutils/archive/refs/tags/v0.4.0.tar.gz
